* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #050505;
  overflow: hidden;
  font-family: 'Zen Dots', sans-serif;
  color: white;
}

#map {
  position: fixed;
  inset: 0;
  z-index: 1;
}

#map svg {
  width: 100%;
  height: 100%;
  display: block;
  background:
    radial-gradient(circle at center,
    #050720 0%,
    #000000 100%);
}

/* OVERLAY */

.overlay {
  position: fixed;
  inset: 0;
  z-index: 10;
  pointer-events: none;
}

/* HEADER */

.header {
  position: absolute;
  top: 40px;
  left: 40px;
}

.header h1 {
  font-size: 56px;
  letter-spacing: 4px;
  margin-bottom: 12px;
}

.header p {
  color: #ff3b3b;
  letter-spacing: 3px;
  font-size: 13px;
}

/* THREAT FEED */

.threat-feed {

  position: absolute;

  right: 40px;
  top: 40px;

  width: 380px;

  background:
    rgba(0,0,0,0.72);

  border:
    1px solid rgba(255,255,255,0.06);

  border-radius: 24px;

  backdrop-filter: blur(18px);

  padding: 26px;

  pointer-events: auto;

  box-shadow:
    0 0 40px rgba(255,0,0,0.08);
}

.threat-feed h2 {

  margin-bottom: 24px;

  font-size: 26px;
}

.feed-item {

  background:
    rgba(255,255,255,0.03);

  padding: 18px;

  margin-bottom: 18px;

  border-radius: 14px;

  line-height: 1.6;

  font-size: 15px;
}

.critical {
  border-left: 5px solid #ff2b2b;
}

.high {
  border-left: 5px solid #ff8800;
}

.medium {
  border-left: 5px solid #ffd000;
}

/* MOBILE */

@media (max-width: 900px) {

  .header {
    top: 24px;
    left: 20px;
  }

  .header h1 {
    font-size: 34px;
  }

  .header p {
    font-size: 11px;
    letter-spacing: 2px;
  }

  .threat-feed {

    left: 15px;
    right: 15px;

    width: auto;

    top: auto;
    bottom: 20px;

    padding: 20px;
  }

}
